Name:           guile-bytestructures
Version:        2.0.2
Release:        1%{?dist}
Summary:        Structured access to bytevector contents for Guile

License:        GPL-3.0
URL:            https://github.com/TaylanUB/scheme-bytestructures
Source0:        https://github.com/TaylanUB/scheme-bytestructures/releases/download/v%{version}/bytestructures-%{version}.tar.gz

BuildRequires: make, pkgconfig(guile-3.0)
Requires:      guile30 

%global guile_site_dir %(pkg-config --variable sitedir guile-3.0)
%global guile_ccache_dir %(pkg-config --variable siteccachedir guile-3.0)
%global debug_package %{nil}

%description
Guile bytestructures offers a system imitating the type system
of the C programming language, to be used on bytevectors.  C's type
system works on raw memory, and Guile works on bytevectors which are
an abstraction over raw memory.  It's also more powerful than the C
type system, elevating types to first-class status.

%prep
%autosetup -n bytestructures-%{version}


%build
%configure
%make_build


%install
%make_install

%check
%{__make} %{?_smp_mflags} check

%files
%license COPYING
%doc README.md

%{guile_site_dir}/bytestructures/
%{guile_ccache_dir}/bytestructures/

%changelog
%autochangelog 
